# Sinch Conversation API

You don't have to think about which type of message works with which channel – the **Sinch Conversation API** transcodes the messages automatically to match the target channel. Easy peasy!&#x20;

## Supported channels

You will find a complete list of the channels supported by the Sinch Conversation API is [here](https://developers.sinch.com/docs/conversation/channel-support/).

<details>

<summary>How to deal with variables across channels</summary>

f multiple channels are connected to your Conversation API app, it can be useful to be able to send a specific flow depending on the channel the bot user is on. To do that, you can use the `internal.sinchConversationAPI.channelIdentifier` [variable](/navigation/settings/secure-variables-gdpr.md).&#x20;

The possible values for the channel are:

```
internal.sinchConversationAPI.channelIdentifier: 
"CHANNEL_UNSPECIFIED"
"WHATSAPP"
"RCS"
"SMS"
"MESSENGER"
"VIBER"
"VIBERBM"
"MMS"
"TELEGRAM"
"LINE"
"INSTAGRAM"
```

Furthermore, there are a few other variables that store data coming from the Sinch Conversation API that might be useful to guide your flow:

```
internal.sinchConversationAPI.channelIdentity: 'USER_PHONE_NUMBER_OR_ID',
internal.sinchConversationAPI.contactId: 'CONTACT_ID_CONV_API',
internal.sinchConversationAPI.appId: 'APP_ID_CONV_API',
internal.sinchConversationAPI.conversationId: 'CONVERSATION_ID_CONV_API',
internal.sinchConversationAPI.metadata: string or key + value pair
```

You can learn more about how to use variables to guide your flow [here](/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

</details>

{% hint style="warning" %}
Bear in mind that different channels accepts different [message types](https://developers.sinch.com/docs/conversation/message-types/).
{% endhint %}

## Related articles

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/gBGfHRrwSTVpbIZNkW2E"><strong>Configure your Sinch Conversation API</strong></a></td><td></td><td></td><td><a href="/files/zgk5OxVmgSvKpPVBGpso">/files/zgk5OxVmgSvKpPVBGpso</a></td><td><a href="/pages/gBGfHRrwSTVpbIZNkW2E">/pages/gBGfHRrwSTVpbIZNkW2E</a></td></tr><tr><td><a href="/pages/yWjRWV8Zb4TkIysoncUX"><strong>Make the most of RCS with Carousels</strong></a></td><td></td><td></td><td><a href="/files/P44ETmSUwy5IWdCo6VgE">/files/P44ETmSUwy5IWdCo6VgE</a></td><td></td></tr><tr><td><a href="/pages/-LkU3qNHZZAh4zn7mP3Z"><strong>Whatsapp Business API</strong></a></td><td></td><td></td><td><a href="/files/aseF1WaofGU343NKWk0j">/files/aseF1WaofGU343NKWk0j</a></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatlayer.ai/channels/sinch-conversation-api-beta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
